﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title></title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Understanding SOD Analysis, Recommendations, and Request Roles while Requesting for Account Entitlements</h1>
        <div class="page view">
            <div class="wiki-content">
                <p>EIC provides 3 key differentiators to access requesters and approvers.</p>
                <ul>
                    <li><strong>Segregation of Duties (SoD)</strong>:&#160;&#160;Helps requesters and approvers make the right decisions based on users' current access and the access being requested to determine if it would cause any potential conflict.</li>
                    <li><strong>Recommendation</strong>:&#160; Recommends requesters the applications and entitlements that are suited for them based on their profiles (attributes, organization, and so on).</li>
                    <li><strong>Request Rules</strong>:&#160;Enables administrators to create rules through Request Rules to let users obtain access to “extra” entitlements based on their selections or their profile. The Request Rules are defined in ADMIN &gt; Provisioning Rules. For example, when an end-user picks an Active Directory account, the administrator can choose to provide the associated group permissions to the user that is required to be productive from the first day of joining the organization.</li>
                </ul>
                <h2 id="UnderstandingSODAnalysis,Recommendations,andRequestRoleswhileRequestingforAccountEntitlements-ApplicationandAccessRecommendations">Application and Access Recommendations</h2>
                <p>An intuitive and intelligent way of providing access to a user is using "Application and Access Recommendation" and the peer group analysis. The peer group is dependent on the&#160;JRM (Job Rule Matrix) engine and formed by looking at the HRs key attributes.  &#160;The key attributes to identify and judge the formation of a peer group include  &#160;location, cost center, manager, and department.&#160;On the basis of similarities of these key attributes, if 90% similarity exists, then the peer group is formed. If the new application request being submitted matches these key attributes, then the application is recommended and access is provided to the peers. The recommended access based on the similarity of the&#160;key attributes&#160;is inlier access. However, access that is requested but not included in the peer group list is known as outlier access.&#160;</p>
                <h3 id="UnderstandingSODAnalysis,Recommendations,andRequestRoleswhileRequestingforAccountEntitlements-ConfiguringandViewingRecommendationsintheRequestPage">Configuring and Viewing Recommendations in the Request Page</h3>
                <p>Perform the following actionsto configure recommendations in the&#160;Request page:</p>
                <ul>
                    <li><span style="color: rgb(51,51,51);">Set up PAA&#160;rules. For more information, see </span>Job Role Matrix (JRM)<span style="color: rgb(51,51,51);">.</span></li>
                    <li>Enable the PAA&#160;configurations to view the recommendations in the Request page.&#160;<br />PAA is created to come up with rules and exceptions that meet application-specific requirements. Typically, this is the last checkpoint by the application administrators to ensure they are provisioning access as dictated by the PAA rules and if not, create and document appropriate exceptions.<ul><li>For versions 5.5 and later, see .</li><li>For versions 5.4 and later, see JRM Configurations in .</li></ul></li>
                    <li>In the Request page, set the <strong>Recommend</strong> to <strong>ON</strong> in <strong>Available &lt;Entitlement Name&gt;&#160;</strong>to view the set of recommended entitlements matching the defined PAA rules.</li>
                </ul>
            </div>
        </div>
        <div>
            <div class="page view">
                <h3 id="UnderstandingSODAnalysis,Recommendations,andRequestRoleswhileRequestingforAccountEntitlements-ExampleUseCase">Example Use Case</h3>
                <p>Let's understand application and access recommendations via a use case.&#160;Consider that a request rule has been defined to assign access to MS Office on cloud to a new permanent employee, John, who has joined the Bangalore location and is active. In addition, a set of peer group key attributes for John is defined.</p>
                <div class="table-wrap">
                    <table style="width: 100%;">
                        <col />
                        <col />
                        <thead>
                            <tr>
                                <th>
                                    <p class="table-text">Key Attribute Name</p>
                                </th>
                                <th>
                                    <p class="table-text">Attribute Value</p>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>
                                    <p class="table-text">Location</p>
                                </td>
                                <td>
                                    <p class="table-text">Bangalore</p>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p class="table-text">Cost Center</p>
                                </td>
                                <td>
                                    <p class="table-text">BU008</p>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p class="table-text">Manager</p>
                                </td>
                                <td>
                                    <p class="table-text">Smith</p>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p class="table-text">Department</p>
                                </td>
                                <td>
                                    <p class="table-text">Product Documentation</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <p>If the values of the&#160;peer group&#160;attributes map with John's attributes,&#160;and he requests for&#160;JIRA&#160;ADMIN privileges&#160;then:&#160;</p>
                <div class="table-wrap">
                    <table style="width: 100%;">
                        <col style="width: 28.4728%;" />
                        <col style="width: 17.2563%;" />
                        <col style="width: 54.0696%;" />
                        <thead>
                            <tr>
                                <th>
                                    <p class="table-text">Access Type</p>
                                </th>
                                <th>
                                    <p class="table-text">Application and Access</p>
                                </th>
                                <th>
                                    <p class="table-text">Summarized Action being taken based on inlier/outlier</p>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>
                                    <p class="table-text">Inlier Access -&#160;mapping 90% provided to all users</p>
                                </td>
                                <td>
                                    <p class="table-text">Wiki Confluence - Read, Write and Execute</p>
                                </td>
                                <td colspan="1">
                                    <p class="table-text">Access to Wiki&#160;Confluence is provided with Read, Write and Execute&#160;access privileges.</p>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p class="table-text">Outlier Access - Extra access requested by the user not mapping the peer group</p>
                                </td>
                                <td>
                                    <p class="table-text">JIRA - ADMIN privileges</p>
                                </td>
                                <td colspan="1">
                                    <p class="table-text">The Outlier access (extra privileges access) is not provided to any user in the&#160;peer group. Therefore, it is displayed as extra access. The manager can take a mitigating action on the Outlier access request.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <h3 class="auto-cursor-target" id="UnderstandingSODAnalysis,Recommendations,andRequestRoleswhileRequestingforAccountEntitlements-RequestFlow">Request Flow&#160;</h3>
                <p class="auto-cursor-target">The following table lists the steps of the request that John makes and what action occurs in each step. </p>
            </div>
        </div>
        <div class="table-wrap">
            <table style="width: 100%;">
                <col style="width: 6.3846%;" />
                <col style="width: 10.3869%;" />
                <col style="width: 83.0951%;" />
                <thead>
                    <tr>
                        <th>
                            <p class="table-text">Step Number</p>
                        </th>
                        <th>
                            <p class="table-text">Action Performed Intuitively</p>
                        </th>
                        <th>
                            <p class="table-text">Description with Example</p>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td style="text-align: center;">
                            <p class="table-text">1</p>
                        </td>
                        <td>
                            <p class="table-text">Recommending Applications</p>
                        </td>
                        <td colspan="1">
                            <p class="table-text">Based on the dynamic evaluation of the peer groups, the application to be requested is recommended.</p>
                            <p class="table-text">Example: Wiki Confluence Application</p>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: center;">
                            <p class="table-text">2</p>
                        </td>
                        <td>
                            <p class="table-text">Recommending Access / Entitlement Values</p>
                        </td>
                        <td colspan="1">
                            <p class="table-text">Based on the dynamic evaluation of the peer groups, access privileges, entitlement values, and associated entitlement values are recommended.</p>
                            <p class="table-text">Example: Wiki Confluence&#160;Read, Write, and Execute access privileges&#160;</p>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: center;">
                            <p class="table-text">3</p>
                        </td>
                        <td>
                            <p class="table-text">Summarizing the request: Inlier and Outlier Analytics</p>
                        </td>
                        <td colspan="1">
                            <p class="table-text">The following analytics are run by the system in the background to effectively evaluate SoD violations (if any):</p>
                            <ol>
                                <li>
                                    <p class="table-text">Request Rules: MS Office on Cloud is assigned to John.</p>
                                </li>
                                <li>
                                    <p>SoD Evaluation:&#160;SOD evaluation results are populated based on the inputs and configurations defined in&#160;Preventative SOD.</p>
                                    <ol>
                                        <ol>
                                            <li style="list-style-type: lower-roman;">
                                                <p class="table-text">New Account Request: Whatever user has selected (JIRA&#160;Admin privileges) + Request Rule Modifications</p>
                                            </li>
                                            <li style="list-style-type: lower-roman;">
                                                <p class="table-text">Modify Account Request: User's current access, new access that is selected or modified, and the Request Rule</p>
                                            </li>
                                        </ol>
                                    </ol>
                                </li>
                                <li>
                                    <p class="table-text">Inlier/Outlier Analytics:&#160;Evaluates all the requested entitlements and the likelihood of it being approved or rejected based on the access provided to the users who are part of the peer group.<br />Example: John is provided MS Office access (as per the Request Rule) and according to the Inlier access recommendation Wiki Confluence Read, Write, and Execute privileges are given to him. However, the requested&#160;JIRA&#160;Admin privileges being an Outlier access is not provided to anyone in the Product Documentation team. Therefore, the request will be assessed by John's manager. Based on the manager's discretion,&#160;access can be given or revoked&#160;using the mitigating controls. The mitigating controls that are applied are displayed in ARS Approval screen.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="ViewPage_likesAndLabelsContainer_nyS">
            <h2 id="UnderstandingSODAnalysis,Recommendations,andRequestRoleswhileRequestingforAccountEntitlements-RequestingforAccountEntitlementswithPreventativeSoDAnalysis">Requesting for Account Entitlements with Preventative SoD Analysis</h2>
            <p>As an admin or an end user, you can request access for account entitlements along with application roles defined for an endpoint. If the endpoint has entitlements causing SoD violation, such violations can be displayed to the user even before the user submits the access request for accounts and entitlements. You can also export the SOD violation details using the SOD Export option.</p>
            <p>Account entitlements and the associated application role can be requested using&#160;<strong style="text-align: left;">Request Access</strong>or<strong style="text-align: left;">Request Access for Others</strong>tiles.</p>
            <p>To request access for account entitlements, perform the following steps:</p>
            <ol>
                <li>
                    <p>Select <strong>ARS &gt; Request Home</strong>. Click <strong>Request Access</strong> or <strong>Request Access for Others</strong>.</p>
                </li>
                <li>
                    <p>Select System - Search for and select the application for which you have configured the application role and want to request access. Click&#160;<strong>ADD TO CART</strong> under the&#160;Actions column.</p>
                </li>
                <li>
                    <p>In Select System, while requesting access for self or others, pagination is supported when multiple applications are selected.&#160;You can select the number of applications (5, 10, 15, 25, 100) that you want to view in a single page. Click&#160;View Cart&#160;to view the applications added for your request.&#160;(Optional) Click&#160;Save As Draft&#160;if you want to complete the request later. When you select this option,&#160;your current operation is saved&#160;under ARS &gt; Request Home &gt; View Saved Requests tile and the request process is initiated from where you saved it.</p>
                </li>
                <li>
                    <p>Select Access - Specify the application details: Security System (Infrastructure) Name, Endpoint, Account Name, and Entitlement.&#160;You can view the account details,&#160;configure appropriate dynamic attributes and privilege values, select the application role and click&#160;Next.</p>
                </li>
                <li>
                    <p>Provide Justification - Summarizes the request of account entitlements, selected dynamic attributes, chosen privilege values, and application role. The page also displays the entitlement details causing SoD violation, provides you the ability to enter business justification or comments for requesting an account with additional attributes. It accepts the special characters such as (, ), [, ], : ,#, and so on.&#160;You can also attach attachments.&#160;The supported attachment formats are Excel, xls, xlsx, csv, txt, doc, docx, pdf, msg, ppt, pptx, rtf, png and jpeg.&#160;To attach a file, click the ‘<strong>Click here to attach file</strong>’ link and browse to and select a file to attach. Read the disclaimer message appearing in Red. If you agree, click Submit to submit your request.</p>
                </li>
                <li>
                    <p>Submit - Displays the request submission successful message along with the user name, request number, and action for the beneficiary of the request.&#160;Depending on the configured workflow, the system looks for the specified approver(s), triggers an&#160; email and&#160;routes the request for approval. You can use the request number for future follow-ups and for monitoring your request from the&#160;Request History section. To view the status and more information about your request, click&#160;<strong>View&#160;Status</strong>.</p>
                </li>
            </ol>
        </div>
    </body>
</html>